Subject: Re: bug#10878: "make dist" with read-only srcdir generates read-only tarball

From: Nick Bowler <[email-masked]>
Date: Fri, 24 Feb 2012 12:53:38 -0500

On 2012-02-24 18:37 +0100, Stefano Lattarini wrote:
[...]
> On 02/24/2012 08:09 AM, Nick Bowler wrote:
> > Automake should at least add user write permissions to all files in
> > distdir prior to running dist-hook (and hence prior to generating the
> > distribution tarball).
>
> I disagree; in case the user wants to change the permission of the distributed
> files from the ones that they have in the builddir/srcdir, he can do so in the
> dist-hook already, with full control (I've just added a tiny test to verify
> this behaviour, see attached patch).  So we don't need to change the automake
> behaviour in this respect (but a documentation improvement might be nice, in
> case someone feels like writing it).

In that case, the manual should include a note that you should not
expect "make dist" to work properly with a read-only source tree.
Distcheck should also refrain from testing this.

As I mentioned in my original mail, "make distcheck" currently attempts
to run "make dist" with a read-only source tree, and it is causing
failures in my package because of the broken permissions.

Cheers,
-- 
Nick Bowler, Elliptic Technologies (http://www.elliptictech.com/)